﻿using System;
using System.Collections.Generic;
using System.Text;
using Com.Consorsbank.Module.Tapi.Grpc;

namespace TestClient
{
    // tag::DepotStreamer[]
    public class DepotStreamer :
        StreamObserver<DepotService.DepotServiceClient, TradingAccountRequest, DepotEntries> // <1>
    {
        public DepotStreamer(DepotService.DepotServiceClient client) : // <2>
            base(client, (request, token) =>
                client.StreamDepot(request, null, null, token))
        {
        }
    }
    // end::DepotStreamer[]
}
